"use client";
import { __require as p } from "./_apply.js";
var a, l;
function q() {
  if (l) return a;
  l = 1;
  var t = p(), u = Math.max;
  function _(o, e, g) {
    return e = u(e === void 0 ? o.length - 1 : e, 0), function() {
      for (var n = arguments, r = -1, v = u(n.length - e, 0), h = Array(v); ++r < v; )
        h[r] = n[e + r];
      r = -1;
      for (var i = Array(e + 1); ++r < e; )
        i[r] = n[r];
      return i[e] = g(h), t(o, this, i);
    };
  }
  return a = _, a;
}
export {
  q as __require
};
